import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Home',
      component: () => import('@/views/home/index'),
      meta: {keepAlive: false, title: '凯歌电子券'}
    },
    {
      path: '/signing',
      name: 'signing',
      component: () => import('@/views/signing/index'),
      meta: {keepAlive: false, title: '生育全程签约'}
    },
    {
      path: '/vouchers',
      name: 'vouchers',
      component: () => import('@/views/vouchers/index'),
      meta: {keepAlive: false, title: '我的健康券'}
    },
    {
      path: '/voucherDetail',
      name: 'detail',
      component: () => import('@/views/voucherDetail/index'),
      meta: {keepAlive: false, title: '服务券详情'}
    },
    {
      path: '/user',
      name: 'user',
      component: (resolve) => require(['@/views/user/index'], resolve),
      redirect: '/user/index',
      meta: {keepAlive: false, title: '我的福利'},
      children: [
        {
          path: 'index',
          name: '我的福利',
          component: (resolve) => require(['@/views/user/index'], resolve),
          meta: {keepAlive: false, title: '我的福利'}
        }
      ]
    },
    {
      path: '/member',
      name: 'member',
      component: (resolve) => require(['@/views/member/index'], resolve),
      redirect: '/member/list',
      meta: {keepAlive: false, title: '家庭成员'},
      children: [
        {
          path: 'list',
          name: '家庭成员',
          component: (resolve) => require(['@/views/member/list'], resolve),
          meta: {keepAlive: false, title: '家庭成员'}
        },
        {
          path: 'edit',
          name: '编辑家庭成员',
          component: (resolve) => require(['@/views/member/edit'], resolve),
          meta: {keepAlive: false, title: '编辑家庭成员'}
        },
        {
          path: 'addMain',
          name: '实名认证',
          component: (resolve) => require(['@/views/member/addMain'], resolve),
          meta: {keepAlive: false, title: '实名认证'}
        },
        {
          path: 'addMember',
          name: '添加家庭福利',
          component: (resolve) => require(['@/views/member/addMember'], resolve),
          meta: {keepAlive: false, title: '添加家庭福利'}
        }
      ]
    },
    {
      path: '/content',
      name: 'content',
      component: () => import('@/views/content/index'),
      meta: {keepAlive: false, title: '知识详情'}
    },
    {
      path: '/recommend',
      name: 'recommend',
      component: (resolve) => require(['@/views/recommend/index'], resolve),
      redirect: '/recommend/list',
      meta: {keepAlive: false, title: '健康券推荐'},
      children: [
        {
          path: 'list',
          name: '健康券推荐',
          component: (resolve) => require(['@/views/recommend/list'], resolve),
          meta: {keepAlive: false, title: '健康券推荐'}
        },
        {
          path: 'orglist',
          name: '去医院',
          component: (resolve) => require(['@/views/recommend/orglist'], resolve),
          meta: {keepAlive: false, title: '去医院'}
        }
      ]
    }
  ]
})
