import axios from 'axios'
import { Toast } from 'mint-ui'

// const defaultUrl = 'http://www.icareyou.net/' // 正式
const defaultUrl = 'http://test.icareyou.net/' // 开发

// 创建axios实例
const service = axios.create({
  baseURL: defaultUrl,
  timeout: 15000 // 请求超时时间
})

// respone拦截器
service.interceptors.response.use(
  response => {
    const res = response.data
    if (res.code === 1004) {
      Toast({
        message: res.message,
        position: 'center',
        duration: 5 * 1000
      })
    } else {
      return res
    }
  },
  error => {
    console.log('错误' + error)// for debug
    Toast({
      message: error.message,
      position: 'center',
      duration: 5 * 1000
    })
    return Promise.reject(error)
  }
)

export default service
