import { getStore, setStore } from '@/util/store'

const common = {
  state: {
    access_token: getStore({ name: 'access_token' }),
    user_id: getStore({ name: 'user_id' })
  },
  actions: {
    AccessToken (context, id) {
      context.commit('access_token', id)
    },
    UserId (context, id) {
      context.commit('user_id', id)
    }
  },
  mutations: {
    SET_ACCESSTOKEN: (state, active) => {
      this.state.access_token = active
      setStore({
        name: 'access_token',
        content: state.access_token
      })
    },
    SET_USERID: (state, active) => {
      this.state.user_id = active
      setStore({
        name: 'user_id',
        content: state.user_id
      })
    }
  }
}
export default common
